<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class ProTeam extends Model
{
    protected $table = 'pro_team';

    public function mcp()
    {
        return $this->hasOne(Pro::class, 'id', 'mcp_pro_id');
    }

    public function assistant()
    {
        return $this->hasOne(Pro::class, 'id', 'assistant_pro_id');
    }

    public function rd()
    {
        return $this->hasOne(Pro::class, 'id', 'rd_pro_id');
    }
}
